// CHECKSTYLE:OFF

package jenkins.plugins.shiningpanda;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Whitespace not allowed
     * 
     */
    public static String PythonInstallation_Name_WhitespaceNotAllowed() {
        return holder.format("PythonInstallation.Name.WhitespaceNotAllowed");
    }

    /**
     * Whitespace not allowed
     * 
     */
    public static Localizable _PythonInstallation_Name_WhitespaceNotAllowed() {
        return new Localizable(holder, "PythonInstallation.Name.WhitespaceNotAllowed");
    }

    /**
     * failed to find the Python installation to use from its name: {0} (was it deleted?)
     * 
     */
    public static String BuilderUtil_Installation_NotFound(Object arg1) {
        return holder.format("BuilderUtil.Installation.NotFound", arg1);
    }

    /**
     * failed to find the Python installation to use from its name: {0} (was it deleted?)
     * 
     */
    public static Localizable _BuilderUtil_Installation_NotFound(Object arg1) {
        return new Localizable(holder, "BuilderUtil.Installation.NotFound", arg1);
    }

    /**
     * Custom Python Builder
     * 
     */
    public static String CustomPythonBuilder_DisplayName() {
        return holder.format("CustomPythonBuilder.DisplayName");
    }

    /**
     * Custom Python Builder
     * 
     */
    public static Localizable _CustomPythonBuilder_DisplayName() {
        return new Localizable(holder, "CustomPythonBuilder.DisplayName");
    }

    /**
     * Not a directory
     * 
     */
    public static String FormValidationUtil_PythonHome_NotADirectory() {
        return holder.format("FormValidationUtil.PythonHome.NotADirectory");
    }

    /**
     * Not a directory
     * 
     */
    public static Localizable _FormValidationUtil_PythonHome_NotADirectory() {
        return new Localizable(holder, "FormValidationUtil.PythonHome.NotADirectory");
    }

    /**
     * a Tox axis is required
     * 
     */
    public static String ToxBuilder_ToxAxis_Required() {
        return holder.format("ToxBuilder.ToxAxis.Required");
    }

    /**
     * a Tox axis is required
     * 
     */
    public static Localizable _ToxBuilder_ToxAxis_Required() {
        return new Localizable(holder, "ToxBuilder.ToxAxis.Required");
    }

    /**
     * Relative path required
     * 
     */
    public static String VirtualenvBuilder_Home_RelativePathRequired() {
        return holder.format("VirtualenvBuilder.Home.RelativePathRequired");
    }

    /**
     * Relative path required
     * 
     */
    public static Localizable _VirtualenvBuilder_Home_RelativePathRequired() {
        return new Localizable(holder, "VirtualenvBuilder.Home.RelativePathRequired");
    }

    /**
     * Required
     * 
     */
    public static String VirtualenvBuilder_Home_Required() {
        return holder.format("VirtualenvBuilder.Home.Required");
    }

    /**
     * Required
     * 
     */
    public static Localizable _VirtualenvBuilder_Home_Required() {
        return new Localizable(holder, "VirtualenvBuilder.Home.Required");
    }

    /**
     * Required
     * 
     */
    public static String FormValidationUtil_PythonHome_Required() {
        return holder.format("FormValidationUtil.PythonHome.Required");
    }

    /**
     * Required
     * 
     */
    public static Localizable _FormValidationUtil_PythonHome_Required() {
        return new Localizable(holder, "FormValidationUtil.PythonHome.Required");
    }

    /**
     * Python Builder
     * 
     */
    public static String PythonBuilder_DisplayName() {
        return holder.format("PythonBuilder.DisplayName");
    }

    /**
     * Python Builder
     * 
     */
    public static Localizable _PythonBuilder_DisplayName() {
        return new Localizable(holder, "PythonBuilder.DisplayName");
    }

    /**
     * invalid interpreter: {0}
     * 
     */
    public static String BuilderUtil_Interpreter_Invalid(Object arg1) {
        return holder.format("BuilderUtil.Interpreter.Invalid", arg1);
    }

    /**
     * invalid interpreter: {0}
     * 
     */
    public static Localizable _BuilderUtil_Interpreter_Invalid(Object arg1) {
        return new Localizable(holder, "BuilderUtil.Interpreter.Invalid", arg1);
    }

    /**
     * Absolute path required
     * 
     */
    public static String FormValidationUtil_PythonHome_AbsolutePathRequired() {
        return holder.format("FormValidationUtil.PythonHome.AbsolutePathRequired");
    }

    /**
     * Absolute path required
     * 
     */
    public static Localizable _FormValidationUtil_PythonHome_AbsolutePathRequired() {
        return new Localizable(holder, "FormValidationUtil.PythonHome.AbsolutePathRequired");
    }

    /**
     * Virtualenv Builder
     * 
     */
    public static String VirtualenvBuilder_DisplayName() {
        return holder.format("VirtualenvBuilder.DisplayName");
    }

    /**
     * Virtualenv Builder
     * 
     */
    public static Localizable _VirtualenvBuilder_DisplayName() {
        return new Localizable(holder, "VirtualenvBuilder.DisplayName");
    }

    /**
     * Python
     * 
     */
    public static String PythonInstallation_DisplayName() {
        return holder.format("PythonInstallation.DisplayName");
    }

    /**
     * Python
     * 
     */
    public static Localizable _PythonInstallation_DisplayName() {
        return new Localizable(holder, "PythonInstallation.DisplayName");
    }

    /**
     * {0} was found in Jenkins'' environment, this can disturb the good processing of the build, you can fix this by restarting your Jenkins instance in a clean environment
     * 
     */
    public static String BuilderUtil_PythonHomeKeyFound(Object arg1) {
        return holder.format("BuilderUtil.PythonHomeKeyFound", arg1);
    }

    /**
     * {0} was found in Jenkins'' environment, this can disturb the good processing of the build, you can fix this by restarting your Jenkins instance in a clean environment
     * 
     */
    public static Localizable _BuilderUtil_PythonHomeKeyFound(Object arg1) {
        return new Localizable(holder, "BuilderUtil.PythonHomeKeyFound", arg1);
    }

    /**
     * Tox Builder
     * 
     */
    public static String ToxBuilder_DisplayName() {
        return holder.format("ToxBuilder.DisplayName");
    }

    /**
     * Tox Builder
     * 
     */
    public static Localizable _ToxBuilder_DisplayName() {
        return new Localizable(holder, "ToxBuilder.DisplayName");
    }

    /**
     * a Python axis is required
     * 
     */
    public static String BuilderUtil_PythonAxis_Required() {
        return holder.format("BuilderUtil.PythonAxis.Required");
    }

    /**
     * a Python axis is required
     * 
     */
    public static Localizable _BuilderUtil_PythonAxis_Required() {
        return new Localizable(holder, "BuilderUtil.PythonAxis.Required");
    }

    /**
     * Python
     * 
     */
    public static String PythonAxis_DisplayName() {
        return holder.format("PythonAxis.DisplayName");
    }

    /**
     * Python
     * 
     */
    public static Localizable _PythonAxis_DisplayName() {
        return new Localizable(holder, "PythonAxis.DisplayName");
    }

    /**
     * failed to find a Python interpreter
     * 
     */
    public static String BuilderUtil_NoInterpreterFound() {
        return holder.format("BuilderUtil.NoInterpreterFound");
    }

    /**
     * failed to find a Python interpreter
     * 
     */
    public static Localizable _BuilderUtil_NoInterpreterFound() {
        return new Localizable(holder, "BuilderUtil.NoInterpreterFound");
    }

    /**
     * Tox
     * 
     */
    public static String ToxAxis_DisplayName() {
        return holder.format("ToxAxis.DisplayName");
    }

    /**
     * Tox
     * 
     */
    public static Localizable _ToxAxis_DisplayName() {
        return new Localizable(holder, "ToxAxis.DisplayName");
    }

    /**
     * failed to find the name of the Python installation to use
     * 
     */
    public static String BuilderUtil_Installation_NameNotFound() {
        return holder.format("BuilderUtil.Installation.NameNotFound");
    }

    /**
     * failed to find the name of the Python installation to use
     * 
     */
    public static Localizable _BuilderUtil_Installation_NameNotFound() {
        return new Localizable(holder, "BuilderUtil.Installation.NameNotFound");
    }

    /**
     * Others
     * 
     */
    public static String PythonAxisTree_Others() {
        return holder.format("PythonAxisTree.Others");
    }

    /**
     * Others
     * 
     */
    public static Localizable _PythonAxisTree_Others() {
        return new Localizable(holder, "PythonAxisTree.Others");
    }

    /**
     * whitespaces are not allowed in Python interpreter''s path: {0}
     * 
     */
    public static String BuilderUtil_Interpreter_WhitespaceNotAllowed(Object arg1) {
        return holder.format("BuilderUtil.Interpreter.WhitespaceNotAllowed", arg1);
    }

    /**
     * whitespaces are not allowed in Python interpreter''s path: {0}
     * 
     */
    public static Localizable _BuilderUtil_Interpreter_WhitespaceNotAllowed(Object arg1) {
        return new Localizable(holder, "BuilderUtil.Interpreter.WhitespaceNotAllowed", arg1);
    }

    /**
     * Whitespace not allowed
     * 
     */
    public static String FormValidationUtil_PythonHome_WhitespaceNotAllowed() {
        return holder.format("FormValidationUtil.PythonHome.WhitespaceNotAllowed");
    }

    /**
     * Whitespace not allowed
     * 
     */
    public static Localizable _FormValidationUtil_PythonHome_WhitespaceNotAllowed() {
        return new Localizable(holder, "FormValidationUtil.PythonHome.WhitespaceNotAllowed");
    }

    /**
     * Required
     * 
     */
    public static String PythonInstallation_Name_Required() {
        return holder.format("PythonInstallation.Name.Required");
    }

    /**
     * Required
     * 
     */
    public static Localizable _PythonInstallation_Name_Required() {
        return new Localizable(holder, "PythonInstallation.Name.Required");
    }

    /**
     * Required
     * 
     */
    public static String ToxBuilder_ToxIni_Required() {
        return holder.format("ToxBuilder.ToxIni.Required");
    }

    /**
     * Required
     * 
     */
    public static Localizable _ToxBuilder_ToxIni_Required() {
        return new Localizable(holder, "ToxBuilder.ToxIni.Required");
    }

}
